package cn.com.countrygarden.bi.main.model.performance.monthly;

/**
 * 月度通用返回格式
 *
 * @author Max Date:2018/09/18
 * @version 1.0
 * @since 1.8
 */
public class AllMonth {

    private int year;//年份
    private int month;//月度
    private long elementId;//指标id

    private String hierarchyId;//区域id
    private String hierarchyName;// 区域名称
    private String Second_organization;    //二级组织
    private String Third_organization;     //三级组织

    private String complete;//月度完成值
    private String annualTarget;//年度目标值
    private String completeRate;//完成率

    public AllMonth() {
    }

    public AllMonth(int year, int month, long elementId, String hierarchyId, String hierarchyName, String second_organization, String third_organization, String complete, String annualTarget, String completeRate) {
        this.year = year;
        this.month = month;
        this.elementId = elementId;
        this.hierarchyId = hierarchyId;
        this.hierarchyName = hierarchyName;
        Second_organization = second_organization;
        Third_organization = third_organization;
        this.complete = complete;
        this.annualTarget = annualTarget;
        this.completeRate = completeRate;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }

    public long getElementId() {
        return elementId;
    }

    public void setElementId(long elementId) {
        this.elementId = elementId;
    }

    public String getHierarchyId() {
        return hierarchyId;
    }

    public void setHierarchyId(String hierarchyId) {
        this.hierarchyId = hierarchyId;
    }

    public String getHierarchyName() {
        return hierarchyName;
    }

    public void setHierarchyName(String hierarchyName) {
        this.hierarchyName = hierarchyName;
    }

    public String getSecond_organization() {
        return Second_organization;
    }

    public void setSecond_organization(String second_organization) {
        Second_organization = second_organization;
    }

    public String getThird_organization() {
        return Third_organization;
    }

    public void setThird_organization(String third_organization) {
        Third_organization = third_organization;
    }

    public String getComplete() {
        return complete;
    }

    public void setComplete(String complete) {
        this.complete = complete;
    }

    public String getAnnualTarget() {
        return annualTarget;
    }

    public void setAnnualTarget(String annualTarget) {
        this.annualTarget = annualTarget;
    }

    public String getCompleteRate() {
        return completeRate;
    }

    public void setCompleteRate(String completeRate) {
        this.completeRate = completeRate;
    }
}
